IRPCViews.DownloadFolderContentWithDownloadKey

View as Markdown

Vault API / standard write session or assertion

Not available: always fails with "Not implemented.".

ServiceViews MFiles.IRPCViews
gRPC method/MFiles.IRPCViews/DownloadFolderContentWithDownloadKey
HTTP (mf-http-grpc)POST /grpc/v1/download-folder-content-with-download-key
RequestDownloadFolderContentWithDownloadKeyRequest
ResponseDownloadFolderContentWithDownloadKeyResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Request: DownloadFolderContentWithDownloadKeyRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
download_keyStringValueContains identifier that will be used to locate the folder contents.
download_key.valuestringString.

Response: DownloadFolderContentWithDownloadKeyResponse

No fields.